<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
	xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">
<ui:composition>
	<f:loadBundle basename="org.inra.ecoinfo.genericfilesrepository.uijsf.sitesaccordionitem" var="plateformeaccordionitem"/>
	<f:facet name="header">
		<h:graphicImage name="accepted.png" library="images"
			rendered="#{uiBean.parametersRequest.sitesStepIsValid}" />
		<h:outputText value="#{titleForPlateformesAccordionItem}" />
	</f:facet>
	
	<h:outputText value="#{uiBean.projetSelected}" rendered="#{uiBean.projetSelected != null}"/>

	<rich:list value="#{uiBean.parametersRequest.listSitesSelected}"
		var="site" type="unordered"
		rendered="#{uiBean.parametersRequest.sitesStepIsValid}">
		<h:outputText value="#{site.localizedSiteName}" />
		<h:graphicImage name="remove_selection.png" library="images"
			onclick="selectSite(#{site.site.id})" styleClass="buttonAction" />

	</rich:list>

	<h:outputText
		value="#{plateformeaccordionitem.PROPERTY_MSG_CHOOSE_PLATEFORME}"
		styleClass="selectionEmpty"
		rendered="#{not uiBean.parametersRequest.sitesStepIsValid}" />
</ui:composition>
</html>